Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.grdd.dev/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve the current vehicle/chauffeur location for one or more trips. You can query by Transaction ID, by a single Reservation #, or by an array of Reservation #s.
For the Reservation # endpoints, you can use either the Requester GRiDD ID or the Provider GRiDD ID — but make sure to use the GRiDD ID and Reservation # of the same side. Do not intermix.

By Transaction ID

GET /getChauffeurLocationByTransactionId/{TRANSACTIONID}/{version}

Parameters

ParameterDescription
TRANSACTIONIDTransaction ID.
versionMust be set to V1.

Response 200

{
  "chfId": "101",
  "chfName": "George Lopez",
  "code": "ENROUTE",
  "griddID": "4starlimo",
  "location": {
    "lat": 1.26743233E+15,
    "lon": 1.26743233E+15
  },
  "picURL": "https://someurl/somepic.jpg",
  "timestamp": "2020-03-19T17:22:47"
}

By Reservation

GET /getChauffeurLocationByResNo/{GRIDDID}/{TARGETRESNO}/{version}

Parameters

ParameterDescription
GRIDDIDGRiDD ID of the requester or provider.
TARGETRESNOReservation # of the requester or provider.
versionMust be set to V1.

Request

Header:
token: {TOKEN}

Response 200

{
  "chfId": "101",
  "chfName": "George Lopez",
  "code": "ENROUTE",
  "griddID": "4starlimo",
  "location": {
    "lat": 1.26743233E+15,
    "lon": 1.26743233E+15
  },
  "picURL": "https://someurl/somepic.jpg",
  "timestamp": "2020-03-19T17:22:47"
}

By Array of Reservation #s

GET /getChauffeurLocationByResNoArray/{GRIDDID}/{RESLIST}/{version}

Parameters

ParameterDescription
GRIDDIDGRiDD ID of the requester or provider.
RESLISTReservation #s separated by commas.
versionMust be set to V1.

Request

Header:
token: {TOKEN}

Response 200

[
  {
    "chfId": "101",
    "chfName": "George Lopez",
    "code": "ENROUTE",
    "griddID": "4starlimo",
    "location": {
      "lat": 1.26743233E+15,
      "lon": 1.26743233E+15
    },
    "picURL": "https://someurl/somepic.jpg",
    "timestamp": "2020-03-19T17:22:47"
  },
  {
    "chfId": "102",
    "chfName": "Mark Green",
    "code": "PASSENGER_ON_BOARD",
    "griddID": "acmelimo",
    "location": {
      "lat": 1.26743233E+15,
      "lon": 1.26743233E+15
    },
    "picURL": "https://someurl/somepic.jpg",
    "timestamp": "2020-03-19T17:22:47"
  }
]